# dask.array.isnan

dask.array.isnan(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'isnan'>

  This docstring was copied from numpy.isnan.

  Some inconsistencies with the Dask version may exist.

  Test element-wise for NaN and return result as a boolean array.

  Parameters:
    x array_like

      Input array.

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray or bool

      True where `x` is NaN, false otherwise. This is a scalar if x is a scalar.

  See also

  `isinf`, `isneginf`, `isposinf`, `isfinite`, `isnat`

  Notes

  NumPy uses the IEEE Standard for Binary Floating-Point for Arithmetic (IEEE 754). This means that Not a Number is not equivalent to infinity.

  Examples

      >>> import numpy as np
      >>> np.isnan(np.nan)
      True
      >>> np.isnan(np.inf)
      False
      >>> np.isnan([np.log(-1.),1.,np.log(0)])
      array([ True, False, False])